<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:a4j="http://richfaces.org/a4j"
                xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
    <ui:param name="ID" value="GPAT"/>
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.xdstar.GeneratePatients']}</h1>
        <h:form id="form">
            <gri:panel id="globalPanel">
                <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.GenerateRandomPatients']}</f:facet>
                <h:outputText
                        value="#{messages['net.ihe.gazelle.xdstar.ThePatientsCreatedCanBeProvidedByTheGazelleXCPDR']}"/>
                <br/>
                <h:outputText
                        value="#{messages['net.ihe.gazelle.xdstar.ToGeneratePatientsYouHaveToBeLoggedThenYouHaveTo']}, "/>
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.ThenYouHaveToSelectTheNumberOfPatientsYouWantToG']} "/>
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.YouCanAlsoSpecifyTheFirstNameLikeOrTheLastNameLi']}"/>
                <br/>
                <gri:panel id="searchPanel">
                    <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.OptionsOfGeneration']}</f:facet>
                    <div class="row">
                        <div class="col-lg-6">
                            <ui:decorate id="countryCodeDecoration"
                                         template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.CountryCode_3']}</ui:define>
                                <ui:param name="id" value="CCodeinput"/>
                                <h:selectOneMenu styleClass="form-control gzl-form-control gzl-select-text"
                                                 id="CCodeinput"
                                                 value="#{generatorManagerBean.countryCode}"
                                                 required="true">
                                    <f:selectItems value="#{generatorManagerBean.getListCountryCode()}" var="cc"
                                                   noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectACountryCode']}" label="#{cc}"/>
                                </h:selectOneMenu>
                            </ui:decorate>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.FirstNameLike']}</ui:define>
                                <ui:param name="id" value="FNLinput"/>
                                <h:inputText id="FNLinput" value="#{generatorManagerBean.firstNameLike}"
                                             styleClass="form-control"/>
                            </ui:decorate>
                        </div>
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.LastNameLike']}</ui:define>
                                <ui:param name="id" value="LNLinput"/>
                                <h:inputText id="LNLinput" value="#{generatorManagerBean.lastNameLike}"
                                             styleClass="form-control"/>
                            </ui:decorate>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.NumberPatients']}</ui:define>
                                <ui:param name="id" value="Numinput"/>
                                <rich:inputNumberSpinner id="Numinput" value="#{generatorManagerBean.numberPatient}"
                                                         maxValue="1000" minValue="1"/>
                            </ui:decorate>
                        </div>
                    </div>

                </gri:panel>
                <a4j:commandButton id="GenCommandButon" value="#{messages['net.ihe.gazelle.xdstar.GeneratePatients']}" rendered="#{identity.loggedIn}"
                                   actionListener="#{generatorManagerBean.generatePatient()}"
                                   render="tablepat,messageDecoration" styleClass="gzl-btn-green"/>
                <br/>
                <br/>
                <s:div id="tablepat">
                    <rich:dataTable id="listPatientsTable" var="currentPatient"
                                    value="#{generatorManagerBean.list_Patients}"
                                    rendered="#{generatorManagerBean.list_Patients != null}" rowKeyVar="rowNumber"
                                    rows="7">
                        <g:column id="FirstNameColumn">
                            <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.FirstName']}</ui:define>
                            <h:outputText value="#{generatorManagerBean.getPatientFirstName(currentPatient)}"/>
                        </g:column>
                        <g:column id="LastNameColumn">
                            <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.LastName']}</ui:define>
                            <h:outputText value="#{generatorManagerBean.getPatientLastName(currentPatient)}"/>
                        </g:column>
                        <g:column id="PatientBdateColumn">
                            <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.BirthDate']}</ui:define>
                            <h:outputText value="#{generatorManagerBean.getPatientBirthDate(currentPatient)}"/>
                        </g:column>
                        <g:column id="GenderColumn">
                            <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Gender_2']}</ui:define>
                            <h:outputText value="#{generatorManagerBean.getPatientGender(currentPatient)}"/>
                        </g:column>
                        <g:column id="RaceColumn">
                            <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Race']}</ui:define>
                            <h:outputText value="#{generatorManagerBean.getPatientRace(currentPatient)}"/>
                        </g:column>
                        <g:column id="ReligionColumn">
                            <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Religion']}</ui:define>
                            <h:outputText value="#{generatorManagerBean.getPatientReligion(currentPatient)}"/>
                        </g:column>
                        <g:column id="AddressColumn">
                            <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Address']}</ui:define>
                            <h:outputText value="#{generatorManagerBean.getPatientAddress(currentPatient)}"/>
                        </g:column>
                        <f:facet name="footer">
                            <rich:dataScroller maxPages="5" renderIfSinglePage="false"/>
                        </f:facet>
                    </rich:dataTable>
                    <br/>
                    <br/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.SavePatients']}" styleClass="gzl-btn-green"
                                       actionListener="#{generatorManagerBean.savePatients()}"
                                       rendered="#{generatorManagerBean.list_Patients != null and identity.loggedIn}"
                                       render="messageDecoration"/>
                </s:div>
            </gri:panel>
        </h:form>
    </ui:define>
</ui:composition>
